Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160943 - system-config-network crashed after configuring wireless wep parameters
Summary: system-config-network crashed after configuring wireless wep parameters
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 00:52 UTC by Stefano Marcias
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 14:35:59 UTC


Attachments (Terms of Use)

Description Stefano Marcias 2005-06-19 00:52:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; it-IT; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Last night I tried to configure my iwp2200 notebook wireless card to connect to my access point , I inserted the SSID and the wep key in the system-config-network ,but after some attempts  get no success so i closed the system-config-network-gui.
After some time I started again the system-config-network but it crashed and also after some network and system restart it still continue crashing with these errors :

Component: system-config-network
Version: 1.3.22
Summary: TB73236452 NCDevice.py:183:load:ValueError: invalid literal for int(): 1:1
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 261, in __init__
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 293, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 301, in loadDevices
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 294, in getDeviceList
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 80, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/plugins/NCDevWireless.py", line 33, in load
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py", line 183, in load
ValueError: invalid literal for int(): 1:1

Local variables in innermost frame:
name: eth1:1
confkey: IPV6INIT
cfg: <rhpl.Conf.ConfShellVar instance at 0xb79ee70c>
self: Device.AutoDNS=true
Device.Hostname=
Device.HardwareAddress=00:12:F0:42:F6:48
Device.Type=Wireless
Device.Wireless.Key=
Device.IPv6Init=false
Device.Netmask=255.255.255.0
Device.BootProto=none
Device.Device=eth1:1:1
Device.OnBoot=true
Device.IP=10.0.0.12
Device.Domain=
Device.DeviceId=eth1:1
Device.AllowUser=false
Device.Gateway=

selfkey: IPv6Init
conf: <netconfpkg.NCDevice.ConfDevice instance at 0xb79ee5cc>
aliaspos: 4

Thank you for your help


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.applications --> system settings --> network
2.system-config-network crash

3.
  

Additional info:

Comment 1 Harald Hoyer 2005-06-20 07:23:38 UTC
it seems that in /etc/sysconfig/network-scripts there is a ifcfg-* file with a
wrong DEVICE line:
DEVICE=eth1:1:1

Could you confirm that?

Comment 2 Harald Hoyer 2005-09-16 14:35:59 UTC
CANTFIX without more information, closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.